Subject: Re: bug#50985: Merging gnulib for Emacs 28.1?

From: Andy Moreton <[email-masked]>
Date: Tue, 05 Oct 2021 19:15:00 +0100

On Tue 05 Oct 2021, Paul Eggert wrote:

> On 10/5/21 7:11 AM, Robert Pluim wrote:
>> Probably. When it comes to gnulib I prefer to leave it to people who
>> know what theyʼre doing :-)
>
> We can't wait for *that* (:-), so I charged ahead and installed the attached
> patches into the emacs-28 branch. This fixed the md5_stream issue for me.
>
> The key issue here is whether Emacs wants to use cryptography algorithms
> supported by the Linux kernel, if available. I expect that Emacs doesn't want
> to bother, because its use of md5_stream is not that performance- or
> security-relevant and because if we wanted Emacs to use the kernel stuff
> that'd drag in a lot more Gnulib modules which would be more trouble than it's
> worth. Comments welcome of course, since this is a judgment call.
>
> I hadn't run into this earlier because I was doing a default configure+build,
> which on my platform didn't use native compilation.

Thanks building for native compilation from a clean checkout now work
for me for the emacs-28 branch.

The same issue with md5-stream now occurs on master, as the most recent
merge from emacs-28 to master did not pick up the md5-stream changes.

    AndyM